#include <bits/stdc++.h>

using namespace std;
bool jelsvea(string s){
    for(int i = 0;i<s.length();i++){
        if(s[i]!='a')
            return false;
    }
    return true;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string s;cin>>s;
    string c;cin>>c;
    string rez;
    int br = 0;
    int dc = c.length();
    if(c[0]=='a' && c[1]!='a' && c[1]!='b'){
        for(int i = 0; i<s.length(); i++){
            if(s[i]!='a'){
                rez+=s[i];
            }
            else{
                rez+='*';
                br++;
            }
        }
    }
    else if(jelsvea(c)){
        int bra = 0;
        for(int i = 0; i<s.length(); i++){
            if(s[i]!='a'){
                rez+=s[i];
                bra = 0;
            }
            else if(bra<dc-1){
                rez+=s[i];
                bra++;
            }
            else{
                rez+='*';
                br++;
            }
        }
    }
    else if(c[0]=='a' && c[1]=='b'){
        int bra2 = 0;
        int brb = 0;
        for(int i = 0; i<s.length(); i++){
            if(s[i]!='a'){
                rez+=s[i];
                bra2 = 0;
                brb = 0;
            }
            else if(s[i]=='a'){
                bra2++;
                int j = i+1;
                while(s[j]=='a'){
                    bra2++;j++;
                }
                j++;
                if(s[j]=='b'){
                    brb++;
                    j++;
                    while(s[j]=='b'){
                        brb++;j++;
                    }
                    //cout<<"bra2: "<<bra2<<" brb: "<<brb<<endl;
                    if(bra2<brb){

                        while(s[i]=='a'){
                            rez+='*'; br++; i++;
                        }
                        while(s[i]=='b'){
                            rez+='b'; i++;
                        }
                        bra2 = 0;
                        brb = 0;
                    }
                    else{
                        //cout<<"usao u ovo djubre"<<endl;
                        while(s[i]=='a'){
                            rez+='a'; i++;
                        }
                        while(s[i]=='b'){
                            rez+='*'; br++; i++;
                        }
                        bra2 = 0;
                        brb = 0;
                    }
                }
                else{
                    while(i<j){
                        rez+='a';i++;
                    }
                    bra2=0;
                }

            }
        }
    }
    else{

    }

    cout<<br<<endl;
    cout<<rez<<endl;
}